package com.mx.dla.dda.contrato.terminos.dtos;

import java.util.List;

import com.mx.dla.global.dtos.BaseDTO;

public class TerminoDTO extends BaseDTO{

	private static final long serialVersionUID = 1L;
	
	private Double                 costoContrato;
	private Double                 costoMateriales;	
	
	private PagoTerminoDTO         pagoAnticipado;
	private Boolean                pagoMensual;
	private Boolean                pagoInicioExhibicion;
	private List<PagoTerminoDTO>   pagoPeriodicos;
	
	private String                 comentario;	
	private Double                 promedio;
	private Integer                numeroTitulos;
	private List<TituloTerminoDTO> titulos;
	private Boolean                vacio;
			
	public Double getCostoContrato() {
		return costoContrato;
	}
	public void setCostoContrato(Double costoContrato) {
		this.costoContrato = costoContrato;
	}
	public Double getCostoMateriales() {
		return costoMateriales;
	}
	public void setCostoMateriales(Double costoMateriales) {
		this.costoMateriales = costoMateriales;
	}
	public PagoTerminoDTO getPagoAnticipado() {
		return pagoAnticipado;
	}
	public void setPagoAnticipado(PagoTerminoDTO pagoAnticipado) {
		this.pagoAnticipado = pagoAnticipado;
	}
	public Boolean getPagoMensual() {
		return pagoMensual;
	}
	public void setPagoMensual(Boolean pagoMensual) {
		this.pagoMensual = pagoMensual;
	}
	public Boolean getPagoInicioExhibicion() {
		return pagoInicioExhibicion;
	}
	public void setPagoInicioExhibicion(Boolean pagoInicioExhibicion) {
		this.pagoInicioExhibicion = pagoInicioExhibicion;
	}
	public List<PagoTerminoDTO> getPagoPeriodicos() {
		return pagoPeriodicos;
	}
	public void setPagoPeriodicos(List<PagoTerminoDTO> pagoPeriodicos) {
		this.pagoPeriodicos = pagoPeriodicos;
	}
	public String getComentario() {
		return comentario;
	}
	public void setComentario(String comentario) {
		this.comentario = comentario;
	}
	public List<TituloTerminoDTO> getTitulos() {
		return titulos;
	}
	public void setTitulos(List<TituloTerminoDTO> titulos) {
		this.titulos = titulos;
	}
	public Double getPromedio() {
		return promedio;
	}
	public void setPromedio(Double promedio) {
		this.promedio = promedio;
	}
	public Integer getNumeroTitulos() {
		return numeroTitulos;
	}
	public void setNumeroTitulos(Integer numeroTitulos) {
		this.numeroTitulos = numeroTitulos;
	}
	public Boolean getVacio() {
		return vacio;
	}
	public void setVacio(Boolean vacio) {
		this.vacio = vacio;
	}	
}
